curl --request GET \
--url https://api.sandbox.tesouro.com/finops/v1/products/{product_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/products/{product_id}"
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.sandbox.tesouro.com/finops/v1/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"entity_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_reference": "HT-1234-S-BL",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"measure_unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": {
"currency": "AED",
"value": 4503599627370495
},
"smallest_amount": 1073741823.5,
"type": "product"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Get product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Response
Successful Response
Unique ID of the product.
Time at which the product was created. Timestamps follow the ISO 8601 standard.
Time at which the product was last updated. Timestamps follow the ISO 8601 standard.
Name of the product.
Description of the product.
A user-defined identifier of the product. For example, an internal product code or SKU (stock keeping unit). Client applications can use this field to map the products in Monite to an external product catalog.
1 - 255"HT-1234-S-BL"
The unique ID reference of the unit used to measure the quantity of this product (e.g. items, meters, kilograms).
Show child attributes
Show child attributes
The smallest amount allowed for this product.
0 <= x <= 2147483647Specifies whether this offering is a product or service. This may affect the applicable tax rates.
product, service Was this page helpful?